import {Component, ElementRef, Renderer2, ViewChild} from '@angular/core';
import {LoadingController, NavController, Slides} from 'ionic-angular';
import {HomeService} from "./home.service";
import {LearnService} from "../learning/learn.service";
import {CommonService} from "../../core/common.service";
import {Storage} from "@ionic/storage";
import {MineService} from "../mine/mine.service";
import {TabService} from "../../core/tab.service";
import {InAppBrowser} from "@ionic-native/in-app-browser";
import {AppService} from "../../app/app.service";
import {StatusBar} from "@ionic-native/status-bar";
import * as Mock from 'mockjs';

@Component({
    selector: 'page-home',
    templateUrl: 'home.html'
})
export class HomePage {

    type = 'teacher';

    info = {
        new: 0,
    };

    wow;   //是否执行动画

    constructor(public navCtrl: NavController, public homeSer: HomeService, private loadCtrl: LoadingController,
                private learnSer: LearnService, private commonSer: CommonService, private storage: Storage,
                private appSer: AppService, public statusBar: StatusBar,
                private mineSer: MineService, private tabSer: TabService, private inAppBrowser: InAppBrowser,
                private renderer: Renderer2) {
    }

    ionViewDidLoad() {
        Mock.mock("/wisdomgroup/app/loginpost", {
            "userInfo|4": [
                {
                    "id|+1": 1,
                    "name": "@cname",
                    "age|18-28": 18,
                    "sex|1": ["男", "女"],
                    "job|1": ["web", "java", "php", "android", "ios"]
                }
            ]
        })

    }

    sendReq() {
        const data = {
            "userid": "",
            "mobile": "13225825208",
            "password": "000000",
            "rememberMe": true,
            "newestVersion": "4.6.0"
        };
        this.homeSer.loginpost(data).subscribe(
            (res) => {
                console.log(res);
            }
        )
    }
}
